Install problem in ubuntu 18.04

Asked by Lou Jichao

Dear all,
I want to install esys-escript 5.2 in ubuntu18.04, but when i did 'scons -j1 options_file=scons/templates/XXXX_options.py'
I can't find the Bionic_options.py in the folder templates, So which one should I choose, or How can install it?
Thanks for your answer in advance.
Rgds,
Jichao

Question information

Language:
English Edit question
Status:
Solved
For:
esys-escript Edit question
Assignee:
No assignee Edit question
Solved by:
Adam Ellery
Solved:
Last query:
Last reply:
Revision history for this message
Best Adam Ellery (aellery) said :
#1

Hi Jichao,

escript 5.2 does not come with a scons options file for Ubuntu Bionic, but you should be able to compile escript using the options file for Debian Stretch.

Could you please try compiling using the command:

scons -j1 options_file=scons/templates/stretch_options.py

Revision history for this message
Lou Jichao (ljc-1) said :
#2

Thanks Adam Ellery, that solved my question.